ogr2ogr(1)

NAME
ogr2ogr - converts simple features data between file formats

SYNOPSIS

ogr2ogr [-skipfailures] [-append] [-update] [-f format_name]
               [-select field_list] [-where restricted_where]
               [-spat xmin ymin xmax ymax]
               [-a_srs srs_def] [-t_srs srs_def] [-s_srs srs_def]
               [[-dsco NAME=VALUE] ...] dst_datasource_name
               src_datasource_name
               [-lco NAME=VALUE] [-nln name] layer [layer ...]]

DESCRIPTION

This program can be used to convert simple features data between file formats performing various operations during the process such as spatial or attribute selections, reducing the set of attributes, setting the output coordinate system or even reprojecting the features during translation.

-f format_name:
    output file format name, possible values are:

     -f "ESRI Shapefile"
     -f "TIGER"
     -f "MapInfo File"
     -f "GML"
     -f "PostgreSQL"

-append:
    Append to existing layer instead of creating new

-update:
    Open existing output datasource in update mode

-select field_list:
    Comma-delimited list of fields from input layer to copy to the new layer (defaults to all)

-where restricted_where:
    Attribute query (like SQL WHERE)

-spat xmin ymin xmax ymax:
    spatial query extents

-dsco NAME=VALUE:
    Dataset creation option (format specific)

-lco NAME=VALUE:
    Layer creation option (format specific)

-nln name:
    Assign an alternate name to the new layer

-a_srs srs_def:
    Assign an output SRS

-t_srs srs_def:
    Reproject/transform to this SRS on output

-s_srs srs_def:
    Override source SRS

Srs_def can be a full WKT definition (hard to escape properly), or a well known definition (ie. EPSG:4326) or a file with a WKT definition.

AUTHORS

Frank Warmerdam <warmerdam@pobox.com> Silke Reimer <silke@intevation.de>